package ru.otus.mobile.config;

import com.google.inject.Inject;
import com.google.inject.Singleton;

import java.nio.file.Path;
import java.nio.file.Paths;

@Singleton
public final class ProjectPaths {
    private final Path logcatFile;

    @Inject
    public ProjectPaths() {
        this.logcatFile = Paths.get("").toAbsolutePath().normalize().resolve("logcat.txt");
    }

    public Path logcatFile() {
        return logcatFile;
    }
}
